Compare Revisions

JavaScript 1.7 新鮮事

版本 273343:

Revision 273343 by Kourge on

版本 273344:

Revision 273344 by Milx on

標題:
JavaScript 1.7 新鮮事
JavaScript 1.7 新鮮事
URL代稱:
JavaScript_1.7_新鮮事
JavaScript_1.7_新鮮事
標籤:
JavaScript, JavaScript_version_overviews, 所有類別, 待翻譯
JavaScript, JavaScript_version_overviews, 所有類別, 待翻譯
內容:

修訂版本 273343
修訂版本 273344
n23      In order to use some of the new features of JavaScript 1.7,n23      為了使用JavaScript 1.7的一些新功能,你必須載明你希望使用JavaScript 1.7。在HTML或XUL
> you need to specify that you wish to use JavaScript 1.7. In HTML>的原始碼中使用:
> or XUL code, use: 
n29      When using the <a href="zh_tw/Introduction_to_the_JavaScripn29      當使用<a href="zh_tw/Introduction_to_the_JavaScript_shell">Jav
>t_shell">JavaScript shell</a>, you need to set the version you wi>aScript shell</a>,而你必須設定想用的版本時,可以利用<code>version()</code>函式:
>sh to use using the <code>version()</code> function: 
t35      The features that require the use of the new keywords "yielt35      當碰到必須用到新關鍵字『yield』和『let』的情況時,你必須指定版本1.7,因為既有的程式可能會將那些關鍵字判讀為
>d" and "let" require you to specify version 1.7 because existing >變數或函式的名字。當不需採用新關鍵字時(destructuring assignment and array comprehens
>code might use those keywords as variable or function names. The >ions),可不必指定JavaScript的版本。
>features that do not introduce new keywords (destructuring assign 
>ment and array comprehensions) can be used without specifying the 
> JavaScript version. 

Back to History